curl --request GET \
--url https://{base_url_domain}/api/global/v1/shipping/orders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{base_url_domain}/api/global/v1/shipping/orders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{base_url_domain}/api/global/v1/shipping/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource": {
"type": "Order",
"id": 3,
"unique_id": "1100000003",
"order_ref": "O-382227",
"state": "new",
"status": "new",
"brand": {
"type": "Brand",
"id": 4,
"code": "acme_inc",
"name": "ACME Inc.",
"is_active": true,
"is_deleted": false,
"sort_order": 0
},
"merchant": {
"type": "Merchant",
"id": 4,
"code": "acme_inc",
"name": "ACME Inc.",
"status": "active",
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z",
"brands": [
{
"type": "Brand",
"id": 4
}
],
"default_brand": {
"type": "Brand",
"id": 4
},
"custom_fields": {
"is_gift": {
"value": true
},
"order_details": {
"value": "test details"
},
"department": {
"id": 3,
"label": "Shipping"
},
"priority_levels": [
{
"id": 1,
"label": "Urgent"
},
{
"id": 2,
"label": "High"
}
],
"cost_of_goods": {
"amount": 156.99,
"currency": "USD"
},
"assigned_user": {
"value": 42
}
}
},
"carrier_code": "fedex",
"shipping_method": "fedex_FEDEX_2_DAY",
"signature_required": "adult",
"is_saturday_delivery": false,
"is_overbox_required": false,
"priority": 50,
"requested_ship_date": "2021-02-21",
"is_declared_value_service": true,
"declared_value": {
"amount": 99,
"currency": "USD"
},
"shipping_address": {
"type": "OrderAddress",
"id": 4,
"first_name": "Celina",
"last_name": "Goalley",
"company": "Thompson-Torp",
"street": [
"15491 West Whiteside Street"
],
"city": "Springfield",
"region": "MO",
"postcode": "65807",
"country": "US",
"telephone": "(417) 123-4567",
"email": "celina.goalley@example.com",
"classification": "residential",
"is_valid": true
},
"items": [
{
"type": "OrderItem",
"id": 4,
"sku": "KDS2108",
"order_item_ref": "<string>",
"product": {
"type": "Product",
"id": 123
},
"qty_ordered": 4,
"qty_assigned": 4,
"qty_allocated": 0,
"qty_backordered": 0,
"qty_processing": 0,
"qty_picked": 0,
"qty_shipped": 4,
"qty_cancel_requested": 0,
"qty_canceled": 0,
"row_weight": {
"value": 20,
"unit": "lb"
}
}
],
"shipments": [
{
"type": "Shipment",
"id": 123
}
],
"custom_greeting": "<string>",
"status_history": [
{
"type": "OrderStatusHistory",
"id": 3,
"status": "new",
"comment": "Changed shipping method to FedEx Ground",
"notify_merchant": null,
"requester": {
"type": "Requester",
"id": 3
},
"script_id": 123,
"created_at": "2017-07-21T17:32:28Z"
}
],
"other_shipping_options": {
"virtual_excluded_services": [
"/^ups_/",
"fedex_FEDEX_2_DAY"
]
},
"duties_payor": {
"payor": "third_party",
"tpb_group_id": 3
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z",
"completed_at": "2017-07-21T17:39:43Z",
"custom_fields": {
"is_gift": {
"value": true
},
"order_details": {
"value": "test details"
},
"department": {
"id": 3,
"label": "Shipping"
},
"priority_levels": [
{
"id": 1,
"label": "Urgent"
},
{
"id": 2,
"label": "High"
}
],
"cost_of_goods": {
"amount": 156.99,
"currency": "USD"
},
"assigned_user": {
"value": 42
}
},
"weight": {
"value": 20,
"unit": "lb"
},
"total_item_count": 5,
"submitted_by": "API Order Import",
"submitted_by_type": "api",
"backorder_policy": "default",
"source": "shopify",
"customer_note": "Please leave at front door",
"batch_tag": "BATCH-2024-001",
"desired_delivery_date": "2024-02-15",
"can_fulfill": true,
"can_fulfill_at": "2024-02-10T14:30:00Z",
"is_address_modified": false,
"is_address_modified_auto": false,
"hold_until_time": "2024-02-12T08:00:00Z",
"tpb_group": {
"type": "ThirdPartyBillingGroup",
"id": 1
},
"retailer": {
"type": "Retailer",
"id": 2
},
"retailer_ship_to_location": {
"type": "RetailerShipToLocation",
"id": 2
},
"customs_value": {
"amount": 99,
"currency": "USD"
},
"reason_for_export": "Sale",
"generate_sscc": [
"pack"
],
"shipped_at": "2024-02-10T16:45:00Z",
"delivered_at": "2024-02-12T10:30:00Z",
"shipping_description": "FedEx 2Day",
"carrier": "FedEx",
"allocation_options": {},
"automation_data": {},
"original_address": {
"type": "OrderAddress",
"id": 4,
"first_name": "Celina",
"last_name": "Goalley",
"company": "Thompson-Torp",
"street": [
"15491 West Whiteside Street"
],
"city": "Springfield",
"region": "MO",
"postcode": "65807",
"country": "US",
"telephone": "(417) 123-4567",
"email": "celina.goalley@example.com",
"classification": "residential",
"is_valid": true
},
"address_candidates": [
{
"type": "OrderAddressCandidate",
"id": 1,
"street": "15491 W Whiteside St",
"city": "Springfield",
"region_code": "MO",
"postal_code": "65807-1234",
"country_code": "US",
"classification": "residential"
}
],
"instructions": [
{
"type": "OrderInstruction",
"id": 1,
"note": "Handle with care - fragile items",
"file_name": "packing-guide.pdf",
"presentation": "once_per_shipment",
"print_target": "label",
"print_orientation": "portrait",
"copies_printed": 0
}
]
},
"included": {
"Brand": [
{
"type": "Brand",
"id": 4,
"code": "acme_inc",
"name": "ACME Inc.",
"is_active": true,
"is_deleted": false,
"sort_order": 0
}
],
"Merchant": [
{
"type": "Merchant",
"id": 4,
"code": "acme_inc",
"name": "ACME Inc.",
"status": "active",
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z",
"brands": [
{
"type": "Brand",
"id": 4
}
],
"default_brand": {
"type": "Brand",
"id": 4
},
"custom_fields": {
"is_gift": {
"value": true
},
"order_details": {
"value": "test details"
},
"department": {
"id": 3,
"label": "Shipping"
},
"priority_levels": [
{
"id": 1,
"label": "Urgent"
},
{
"id": 2,
"label": "High"
}
],
"cost_of_goods": {
"amount": 156.99,
"currency": "USD"
},
"assigned_user": {
"value": 42
}
}
}
],
"Order": [
{
"type": "Order",
"id": 3,
"unique_id": "1100000003",
"order_ref": "O-382227",
"state": "new",
"status": "new",
"brand": {
"type": "Brand",
"id": 4,
"code": "acme_inc",
"name": "ACME Inc.",
"is_active": true,
"is_deleted": false,
"sort_order": 0
},
"merchant": {
"type": "Merchant",
"id": 4,
"code": "acme_inc",
"name": "ACME Inc.",
"status": "active",
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z",
"brands": [
{
"type": "Brand",
"id": 4
}
],
"default_brand": {
"type": "Brand",
"id": 4
},
"custom_fields": {
"is_gift": {
"value": true
},
"order_details": {
"value": "test details"
},
"department": {
"id": 3,
"label": "Shipping"
},
"priority_levels": [
{
"id": 1,
"label": "Urgent"
},
{
"id": 2,
"label": "High"
}
],
"cost_of_goods": {
"amount": 156.99,
"currency": "USD"
},
"assigned_user": {
"value": 42
}
}
},
"carrier_code": "fedex",
"shipping_method": "fedex_FEDEX_2_DAY",
"signature_required": "adult",
"is_saturday_delivery": false,
"is_overbox_required": false,
"priority": 50,
"requested_ship_date": "2021-02-21",
"is_declared_value_service": true,
"declared_value": {
"amount": 99,
"currency": "USD"
},
"shipping_address": {
"type": "OrderAddress",
"id": 4,
"first_name": "Celina",
"last_name": "Goalley",
"company": "Thompson-Torp",
"street": [
"15491 West Whiteside Street"
],
"city": "Springfield",
"region": "MO",
"postcode": "65807",
"country": "US",
"telephone": "(417) 123-4567",
"email": "celina.goalley@example.com",
"classification": "residential",
"is_valid": true
},
"items": [
{
"type": "OrderItem",
"id": 4,
"sku": "KDS2108",
"order_item_ref": "<string>",
"product": {
"type": "Product",
"id": 123
},
"qty_ordered": 4,
"qty_assigned": 4,
"qty_allocated": 0,
"qty_backordered": 0,
"qty_processing": 0,
"qty_picked": 0,
"qty_shipped": 4,
"qty_cancel_requested": 0,
"qty_canceled": 0,
"row_weight": {
"value": 20,
"unit": "lb"
}
}
],
"shipments": [
{
"type": "Shipment",
"id": 123
}
],
"custom_greeting": "<string>",
"status_history": [
{
"type": "OrderStatusHistory",
"id": 3,
"status": "new",
"comment": "Changed shipping method to FedEx Ground",
"notify_merchant": null,
"requester": {
"type": "Requester",
"id": 3
},
"script_id": 123,
"created_at": "2017-07-21T17:32:28Z"
}
],
"other_shipping_options": {
"virtual_excluded_services": [
"/^ups_/",
"fedex_FEDEX_2_DAY"
]
},
"duties_payor": {
"payor": "third_party",
"tpb_group_id": 3
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z",
"completed_at": "2017-07-21T17:39:43Z",
"custom_fields": {
"is_gift": {
"value": true
},
"order_details": {
"value": "test details"
},
"department": {
"id": 3,
"label": "Shipping"
},
"priority_levels": [
{
"id": 1,
"label": "Urgent"
},
{
"id": 2,
"label": "High"
}
],
"cost_of_goods": {
"amount": 156.99,
"currency": "USD"
},
"assigned_user": {
"value": 42
}
},
"weight": {
"value": 20,
"unit": "lb"
},
"total_item_count": 5,
"submitted_by": "API Order Import",
"submitted_by_type": "api",
"backorder_policy": "default",
"source": "shopify",
"customer_note": "Please leave at front door",
"batch_tag": "BATCH-2024-001",
"desired_delivery_date": "2024-02-15",
"can_fulfill": true,
"can_fulfill_at": "2024-02-10T14:30:00Z",
"is_address_modified": false,
"is_address_modified_auto": false,
"hold_until_time": "2024-02-12T08:00:00Z",
"tpb_group": {
"type": "ThirdPartyBillingGroup",
"id": 1
},
"retailer": {
"type": "Retailer",
"id": 2
},
"retailer_ship_to_location": {
"type": "RetailerShipToLocation",
"id": 2
},
"customs_value": {
"amount": 99,
"currency": "USD"
},
"reason_for_export": "Sale",
"generate_sscc": [
"pack"
],
"shipped_at": "2024-02-10T16:45:00Z",
"delivered_at": "2024-02-12T10:30:00Z",
"shipping_description": "FedEx 2Day",
"carrier": "FedEx",
"allocation_options": {},
"automation_data": {},
"original_address": {
"type": "OrderAddress",
"id": 4,
"first_name": "Celina",
"last_name": "Goalley",
"company": "Thompson-Torp",
"street": [
"15491 West Whiteside Street"
],
"city": "Springfield",
"region": "MO",
"postcode": "65807",
"country": "US",
"telephone": "(417) 123-4567",
"email": "celina.goalley@example.com",
"classification": "residential",
"is_valid": true
},
"address_candidates": [
{
"type": "OrderAddressCandidate",
"id": 1,
"street": "15491 W Whiteside St",
"city": "Springfield",
"region_code": "MO",
"postal_code": "65807-1234",
"country_code": "US",
"classification": "residential"
}
],
"instructions": [
{
"type": "OrderInstruction",
"id": 1,
"note": "Handle with care - fragile items",
"file_name": "packing-guide.pdf",
"presentation": "once_per_shipment",
"print_target": "label",
"print_orientation": "portrait",
"copies_printed": 0
}
]
}
],
"OrderAddress": [
{
"type": "OrderAddress",
"id": 4,
"first_name": "Celina",
"last_name": "Goalley",
"company": "Thompson-Torp",
"street": [
"15491 West Whiteside Street"
],
"city": "Springfield",
"region": "MO",
"postcode": "65807",
"country": "US",
"telephone": "(417) 123-4567",
"email": "celina.goalley@example.com",
"classification": "residential",
"is_valid": true
}
],
"OrderAddressCandidate": [
{
"type": "OrderAddressCandidate",
"id": 1,
"street": "15491 W Whiteside St",
"city": "Springfield",
"region_code": "MO",
"postal_code": "65807-1234",
"country_code": "US",
"classification": "residential"
}
],
"OrderInstruction": [
{
"type": "OrderInstruction",
"id": 1,
"note": "Handle with care - fragile items",
"file_name": "packing-guide.pdf",
"presentation": "once_per_shipment",
"print_target": "label",
"print_orientation": "portrait",
"copies_printed": 0
}
],
"OrderItem": [
{
"type": "OrderItem",
"id": 4,
"sku": "KDS2108",
"order_item_ref": "<string>",
"product": {
"type": "Product",
"id": 123
},
"qty_ordered": 4,
"qty_assigned": 4,
"qty_allocated": 0,
"qty_backordered": 0,
"qty_processing": 0,
"qty_picked": 0,
"qty_shipped": 4,
"qty_cancel_requested": 0,
"qty_canceled": 0,
"row_weight": {
"value": 20,
"unit": "lb"
}
}
],
"OrderStatusHistory": [
{
"type": "OrderStatusHistory",
"id": 3,
"status": "new",
"comment": "Changed shipping method to FedEx Ground",
"notify_merchant": null,
"requester": {
"type": "Requester",
"id": 3
},
"script_id": 123,
"created_at": "2017-07-21T17:32:28Z"
}
],
"PackagingContainer": [
{
"type": "PackagingContainer",
"id": 123,
"container_options": {
"barcodes": "956623520-4",
"weight": {
"value": 20,
"unit": "lb"
},
"dimensions": {
"length": 8,
"width": 6,
"height": 4,
"unit": "in"
},
"volume": {
"value": 300,
"unit": "in^3"
},
"manage_stock": true,
"associated_products": [
{
"type": "Product",
"id": 3
}
],
"allow_for_brands": [
{
"type": "Merchant",
"id": 4
}
],
"disallow_for_brands": [
{
"type": "Merchant",
"id": 4
}
],
"billing_amount": {
"amount": 99,
"currency": "USD"
},
"allow_for_warehouses": [
{
"type": "Warehouse",
"id": 123
}
],
"allow_for_shipping_methods": [
"<string>"
],
"satisfies_overbox": true,
"use_for_bin_packing": "yes",
"weight_capacity": {
"value": 20,
"unit": "lb"
},
"container_style": "rigid_box",
"packaging_handling_surcharge": true
},
"sku": "SKU-1AD",
"name": "Test Product",
"is_enabled": true,
"merchant": {
"type": "Merchant",
"id": 4
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z"
}
],
"PackagingDataCollection": [
{
"sku": "SKU-1AD",
"name": "Test Product",
"is_enabled": true,
"merchant": {
"type": "Merchant",
"id": 4
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z",
"type": "PackagingDataCollection",
"id": 123,
"data_collection_options": {
"associated_products": [
{
"type": "Product",
"id": 3
}
],
"allow_for_brands": [
{
"type": "Merchant",
"id": 4
}
],
"disallow_for_brands": [
{
"type": "Merchant",
"id": 4
}
],
"billing_amount": {
"amount": 99,
"currency": "USD"
},
"allow_for_shipping_methods": [
"<string>"
],
"apply_to_goods_type": "any",
"never_apply_to_goods_type": "NORMAL",
"apply_only_above_weight": {
"value": 20,
"unit": "lb"
},
"one_per": "order",
"require_scan_timing": "after_product_scan|on_full",
"disable_confirm_button": true,
"require_packaging_type": "overbox",
"apply_unless_container_meets_hazmat": true,
"apply_to_multi_sku_package": true,
"collect_data_pattern": "<string>",
"apply_to_region": "<string>",
"is_collected_data_unique": true
}
}
],
"PackagingInfill": [
{
"type": "PackagingInfill",
"id": 123,
"infill_options": {
"barcodes": "956623520-4",
"weight": {
"value": 20,
"unit": "lb"
},
"manage_stock": true,
"associated_products": [
{
"type": "Product",
"id": 3
}
],
"allow_for_brands": [
{
"type": "Merchant",
"id": 4
}
],
"disallow_for_brands": [
{
"type": "Merchant",
"id": 4
}
],
"billing_amount": {
"amount": 99,
"currency": "USD"
},
"disable_confirm_button": true,
"apply_unless_container_meets_hazmat": true,
"is_confirmation_required": true,
"infill_horizontal": {
"value": 12,
"unit": "in"
},
"infill_vertical": {
"value": 12,
"unit": "in"
},
"infill_priority": 123
},
"sku": "SKU-1AD",
"name": "Test Product",
"is_enabled": true,
"merchant": {
"type": "Merchant",
"id": 4
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z"
}
],
"PackagingInstruction": [
{
"type": "PackagingInstruction",
"id": 123,
"instruction_options": {
"barcodes": "956623520-4",
"associated_products": [
{
"type": "Product",
"id": 3
}
],
"allow_for_brands": [
{
"type": "Merchant",
"id": 4
}
],
"disallow_for_brands": [
{
"type": "Merchant",
"id": 4
}
],
"billing_amount": {
"amount": 99,
"currency": "USD"
},
"allow_for_shipping_methods": [
"<string>"
],
"apply_to_goods_type": "any",
"never_apply_to_goods_type": "NORMAL",
"apply_only_above_weight": {
"value": 20,
"unit": "lb"
},
"one_per": "order",
"require_scan_timing": "after_product_scan|on_full",
"disable_confirm_button": true,
"require_packaging_type": "overbox",
"apply_to_region": "<string>",
"apply_unless_container_meets_hazmat": true,
"apply_to_multi_sku_package": true
},
"sku": "SKU-1AD",
"name": "Test Product",
"is_enabled": true,
"merchant": {
"type": "Merchant",
"id": 4
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z"
}
],
"PackagingSupplies": [
{
"type": "PackagingSupplies",
"id": 123,
"supplies_options": {
"barcodes": "956623520-4",
"weight": {
"value": 20,
"unit": "lb"
},
"manage_stock": true,
"associated_products": [
{
"type": "Product",
"id": 3
}
],
"allow_for_brands": [
{
"type": "Merchant",
"id": 4
}
],
"disallow_for_brands": [
{
"type": "Merchant",
"id": 4
}
],
"billing_amount": {
"amount": 99,
"currency": "USD"
},
"allow_for_warehouses": [
{
"type": "Warehouse",
"id": 123
}
],
"allow_for_shipping_methods": [
"<string>"
],
"packaging_handling_surcharge": true,
"apply_to_goods_type": "any",
"never_apply_to_goods_type": "NORMAL",
"apply_only_above_weight": {
"value": 20,
"unit": "lb"
},
"one_per": "order",
"require_scan_timing": "after_product_scan|on_full",
"disable_confirm_button": true,
"require_packaging_type": "overbox",
"apply_to_region": "<string>",
"apply_unless_container_meets_hazmat": true,
"apply_to_multi_sku_package": true
},
"sku": "SKU-1AD",
"name": "Test Product",
"is_enabled": true,
"merchant": {
"type": "Merchant",
"id": 4
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z"
}
],
"Product": [
{
"type": "Product",
"id": 123,
"vendor_sku": "Vendor-SKU-1AD2",
"manufacturer_part_number": "MPN-1AD2",
"external_id": "11-993-9048",
"barcodes": [
"956623520-4",
"O-VS-Oregano-p3"
],
"goods_type": "NORMAL",
"is_available": true,
"is_visible": true,
"lot_type": {
"type": "LotType",
"id": 4
},
"weight": {
"value": 20,
"unit": "lb"
},
"dimensions": {
"length": 8,
"width": 6,
"height": 4,
"unit": "in"
},
"volume": {
"value": 300,
"unit": "in^3"
},
"inventory": {
"backorders": true,
"dynamic_allocation": true,
"virtual_inventory": "optimistic"
},
"export": {
"description": "Plastic children's toy with steel weights and ball bearings",
"customs_value": {
"amount": 99,
"currency": "USD"
},
"country_of_manufacture": "TW",
"hs_base_code": "8518.30",
"hs_country_extension": [
{
"country_id": "TW",
"extension": "002"
},
{
"country_id": "US",
"extension": "011"
}
]
},
"regulated_goods": {
"regulation": {
"type": "Regulation",
"id": 123
},
"technical_name": "Hydro Polymer Acetylene Coating",
"additional_information": "Flamable Liquid",
"net_weight": {
"value": 20,
"unit": "lb"
},
"container_type": "Plastic Box",
"container_meets_hazmat_specs": true,
"regulation_units": 5
},
"packaging": {
"require_packaging": true,
"require_weight_check": true,
"require_confirmation_per_item": true,
"unit_quantity": 1,
"bulk_quantity": 10,
"max_per_package": 15,
"is_ship_separately": true,
"ship_separately_tag": "PVC",
"can_tip": true,
"can_contain_other_items": true,
"is_handling_surcharge": true
},
"custom_fields": [
{
"code": "color",
"value": 13,
"label": "Red and Black"
},
{
"code": "cost_of_goods",
"value": 41.32
},
{
"code": "allow_mailer",
"value": true
}
],
"sku": "SKU-1AD",
"name": "Test Product",
"is_enabled": true,
"merchant": {
"type": "Merchant",
"id": 4
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z"
}
],
"Gallery": [
{
"type": "Gallery",
"id": 123,
"photo_count": 1,
"updated_at": "2017-07-21T17:39:43Z",
"items": [
{
"type": "GalleryItem",
"id": 123,
"url": "<string>",
"thumbnail_url": "<string>",
"caption": "<string>",
"taken_at": "2023-11-07T05:31:56Z",
"device_info": {},
"media_info": {},
"created_at": "2017-07-21T17:32:28Z"
}
]
}
],
"GalleryItem": [
{
"type": "GalleryItem",
"id": 123,
"url": "<string>",
"thumbnail_url": "<string>",
"caption": "<string>",
"taken_at": "2023-11-07T05:31:56Z",
"device_info": {},
"media_info": {},
"created_at": "2017-07-21T17:32:28Z"
}
],
"Shipment": [
{
"type": "Shipment",
"id": 3,
"unique_id": "1100000003",
"external_id": "<string>",
"status": "new",
"shipping_carrier_code": "fedex",
"shipping_method": "<string>",
"shipping_method_name": "<string>",
"shipping_service_code": "<string>",
"shipping_service_name": "fedex_FEDEX_2_DAY",
"warehouse": {
"type": "Warehouse",
"id": 123
},
"order": {
"type": "Order",
"id": 123
},
"shipping_account": {
"type": "ShippingAccount",
"id": 4
},
"target_ship_date": "2023-12-25",
"item_weight": {
"value": 20,
"unit": "lb"
},
"shipped_weight": {
"value": 20,
"unit": "lb"
},
"items": [
{
"type": "ShipmentItem",
"id": 123,
"product": {
"type": "Product",
"id": 3
}
}
],
"packages": [
{
"items": [
{
"sku": "KDS2108",
"quantity": 2,
"order_item_id": 4,
"order_item_sku": "KDS2108",
"order_item_qty": 2,
"shipment_item_id": 4,
"weight": {
"value": 20,
"unit": "lb"
},
"hazmat_unit_weight": {
"value": 20,
"unit": "lb"
},
"total_customs_value": {
"amount": 99,
"currency": "USD"
}
}
],
"packaging": [
{
"product": {
"type": "Product",
"id": 3
},
"quantity": 4
}
],
"collected_data": [
{
"order_item_id": 4,
"label": "<string>",
"value": "<string>"
}
],
"gallery": {
"type": "Gallery",
"id": 123,
"photo_count": 1,
"updated_at": "2017-07-21T17:39:43Z",
"items": [
{
"type": "GalleryItem",
"id": 123,
"url": "<string>",
"thumbnail_url": "<string>",
"caption": "<string>",
"taken_at": "2023-11-07T05:31:56Z",
"device_info": {},
"media_info": {},
"created_at": "2017-07-21T17:32:28Z"
}
]
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z"
}
],
"packing_solution": {
"type": "ShipmentPackingSolution",
"id": 3,
"containers": [
{
"type": "ShipmentPackingSolutionContainer",
"weight": {
"value": 20,
"unit": "lb"
},
"dimensions": {
"length": 8,
"width": 6,
"height": 4,
"unit": "in"
},
"volume": {
"value": 300,
"unit": "in^3"
},
"void_percent": 15.23,
"regulation_type": "full",
"items": [
{
"type": "ShipmentPackingSolutionContainerItem",
"sku": "KDS2108",
"quantity": 2,
"order_item_id": 4,
"order_item_sku": "KDS2108",
"order_item_qty": 2,
"shipment_item_id": 4,
"weight": {
"value": 20,
"unit": "lb"
}
}
]
}
]
},
"gallery": {
"type": "Gallery",
"id": 123,
"photo_count": 1,
"updated_at": "2017-07-21T17:39:43Z",
"items": [
{
"type": "GalleryItem",
"id": 123,
"url": "<string>",
"thumbnail_url": "<string>",
"caption": "<string>",
"taken_at": "2023-11-07T05:31:56Z",
"device_info": {},
"media_info": {},
"created_at": "2017-07-21T17:32:28Z"
}
]
},
"picking_class_id": "Default",
"is_cutoff_date_exception": true,
"is_manually_processed": true,
"label_print_target": "label001",
"scac": "FDEG",
"carrier_shipping_cost": 3.9,
"is_international": true,
"is_documents_required": true,
"is_electronic_customs": true,
"infill_product_id": "kraft",
"max_package_weight": 2.5,
"packing_solution_providers": [
"Provider 1",
"Provider 2"
],
"tpb_group": "ACME Inc",
"retailer": {
"type": "Retailer",
"id": 2
},
"retailer_ship_to_location": {
"type": "RetailerShipToLocation",
"id": 2
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z",
"packed_at": "2017-07-21T17:32:28Z",
"total_weight": {
"value": 20,
"unit": "lb"
}
}
],
"ShipmentItem": [
{
"type": "ShipmentItem",
"id": 123,
"sku": "KDS2108",
"product": {
"type": "Product",
"id": 123
},
"quantity": 4,
"qty_shipped": 4,
"qty_picked": 0,
"qty_canceled": 0,
"qty_cancel_requested": 0,
"order_item": {
"type": "OrderItem",
"id": 123
},
"reservations": [
{
"location": {
"type": "Location",
"id": 42
},
"quantity": 123
}
]
}
],
"ShipmentPackage": [
{
"items": [
{
"sku": "KDS2108",
"quantity": 2,
"order_item_id": 4,
"order_item_sku": "KDS2108",
"order_item_qty": 2,
"shipment_item_id": 4,
"weight": {
"value": 20,
"unit": "lb"
},
"hazmat_unit_weight": {
"value": 20,
"unit": "lb"
},
"total_customs_value": {
"amount": 99,
"currency": "USD"
}
}
],
"packaging": [
{
"product": {
"type": "Product",
"id": 3
},
"quantity": 4
}
],
"collected_data": [
{
"order_item_id": 4,
"label": "<string>",
"value": "<string>"
}
],
"gallery": {
"type": "Gallery",
"id": 123,
"photo_count": 1,
"updated_at": "2017-07-21T17:39:43Z",
"items": [
{
"type": "GalleryItem",
"id": 123,
"url": "<string>",
"thumbnail_url": "<string>",
"caption": "<string>",
"taken_at": "2023-11-07T05:31:56Z",
"device_info": {},
"media_info": {},
"created_at": "2017-07-21T17:32:28Z"
}
]
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z"
}
],
"ShipmentPackingSolution": [
{
"type": "ShipmentPackingSolution",
"id": 3,
"containers": [
{
"type": "ShipmentPackingSolutionContainer",
"weight": {
"value": 20,
"unit": "lb"
},
"dimensions": {
"length": 8,
"width": 6,
"height": 4,
"unit": "in"
},
"volume": {
"value": 300,
"unit": "in^3"
},
"void_percent": 15.23,
"regulation_type": "full",
"items": [
{
"type": "ShipmentPackingSolutionContainerItem",
"sku": "KDS2108",
"quantity": 2,
"order_item_id": 4,
"order_item_sku": "KDS2108",
"order_item_qty": 2,
"shipment_item_id": 4,
"weight": {
"value": 20,
"unit": "lb"
}
}
]
}
]
}
],
"ThirdPartyBillingGroup": [
{
"type": "ThirdPartyBillingGroup",
"id": 1,
"label": "ACME Corp Billing",
"status": "active"
}
],
"Retailer": [
{
"type": "Retailer",
"id": 123,
"code": "walmart",
"name": "Walmart",
"status": "active",
"fulfillment_model": "wholesale",
"parent_retailer": {
"type": "Retailer",
"id": 2
},
"legal_name": "Walmart Inc.",
"dba": "Walmart Marketplace",
"default_duties_payor": "recipient",
"default_shipping_method": "fedex_FEDEX_GROUND",
"allowed_shipping_methods": [
"fedex_FEDEX_GROUND",
"ups_GND"
],
"routing_guide_notes": "<string>",
"custom_fields": {
"is_gift": {
"value": true
},
"order_details": {
"value": "test details"
},
"department": {
"id": 3,
"label": "Shipping"
},
"priority_levels": [
{
"id": 1,
"label": "Urgent"
},
{
"id": 2,
"label": "High"
}
],
"cost_of_goods": {
"amount": 156.99,
"currency": "USD"
},
"assigned_user": {
"value": 42
}
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z"
}
],
"RetailerShipToLocation": [
{
"code": "DC-001",
"qualifier": "gln",
"type": "RetailerShipToLocation",
"id": 7,
"label": "Bentonville DC",
"location_type": "dc",
"company": "Walmart DC",
"street": "<string>",
"city": "Bentonville",
"region_id": 6,
"region": "AR",
"postcode": "72712",
"country_id": "US",
"telephone": "+1-479-273-4000",
"email": "dc6045@example.com",
"is_default": true,
"status": "active",
"retailer": {
"type": "Retailer",
"id": 2
},
"created_at": "2026-05-26T12:34:56Z",
"updated_at": "2026-05-26T12:34:56Z"
}
],
"Requester": [
{
"type": "Requester",
"id": 3,
"entity_type": "OrganizationUser",
"entity_id": 5,
"name": "Bernard Greensmith",
"status": "active"
}
],
"Warehouse": [
{
"type": "Warehouse",
"id": 3,
"name": "East Coast 1",
"abbreviation": "EC1",
"is_active": true
}
]
}
}{
"errors": [
{
"type": "parameters",
"message": "The supplied parameters are invalid."
}
]
}{
"errors": [
{
"type": "not_found",
"message": "The server could not find the requested resource."
}
]
}{
"errors": [
{
"type": "unable_to_process",
"message": "There was an error processing the request."
}
]
}Get one Order
Returns a single Order object specified by an order id path parameter.
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Path Parameters
The id of the referenced Order.
x >= 1Query Parameters
Specify additional fields of the Order object to be included in the response.
See the selecting fields page for more information.
basic, all, carrier_code, shipping_method, signature_required, is_saturday_delivery, is_overbox_required, other_shipping_options, priority, requested_ship_date, is_declared_value_service, declared_value, duties_payor, shipping_address, items, shipments, created_at, updated_at, completed_at, status_history, custom_greeting, custom_fields, weight, total_item_count, submitted_by, submitted_by_type, backorder_policy, source, customer_note, batch_tag, desired_delivery_date, can_fulfill, can_fulfill_at, is_address_modified, is_address_modified_auto, hold_until_time, tpb_group, customs_value, reason_for_export, generate_sscc, shipped_at, delivered_at, shipping_description, carrier, allocation_options, automation_data, original_address, address_candidates, instructions, retailer, retailer_ship_to_location Specify additional fields of the OrderItem objects to be included in the response. See the selecting fields page for more information.
all, sku, order_item_ref, product, qty_ordered, qty_assigned, qty_allocated, qty_backordered, qty_processing, qty_picked, qty_shipped, qty_cancel_requested, qty_canceled, row_weight Specify additional fields of the Shipment objects to be included in the response. See the selecting fields page for more information.
basic, all, shipping_account, shipping_method, shipping_method_name, target_ship_date, total_weight, shipped_weight, items, item_weight, packages, packing_solution, gallery, picking_class_id, is_cutoff_date_exception, is_manually_processed, label_print_target, scac, carrier_shipping_cost, is_international, is_documents_required, is_electronic_customs, infill_product_id, max_package_weight, packing_solution_providers, tpb_group, created_at, updated_at, packed_at, retailer, retailer_ship_to_location Specify additional fields of the Warehouse object to be included in the response.
basic, all, id, name, is_active, abbreviation Specify additional fields of the Order object to be included in the response. See the selecting fields page for more information.
basic, all, carrier_code, shipping_method, signature_required, is_saturday_delivery, is_overbox_required, other_shipping_options, priority, requested_ship_date, is_declared_value_service, declared_value, duties_payor, shipping_address, items, shipments, created_at, updated_at, completed_at, status_history, custom_greeting, custom_fields, weight, total_item_count, submitted_by, submitted_by_type, backorder_policy, source, customer_note, batch_tag, desired_delivery_date, can_fulfill, can_fulfill_at, is_address_modified, is_address_modified_auto, hold_until_time, tpb_group, customs_value, reason_for_export, generate_sscc, shipped_at, delivered_at, shipping_description, carrier, allocation_options, automation_data, original_address, address_candidates, instructions, retailer, retailer_ship_to_location Specify additional fields of the ShipmentItem objects to be included in the response. See the selecting fields page for more information.
basic, all, sku, product, quantity, qty_shipped, qty_picked, qty_canceled, qty_cancel_requested, order_item, reservations Specify additional fields of the ShipmentPackage objects to be included in the response. See the selecting fields page for more information.
Specify additional fields of the ShipmentPackage object to be included in the response.
basic, all, tracking_ref, alt_tracking_number, alt_tracking_description, billable_weight, dimensional_weight, dimensional_weight_divisor, total_item_volume, total_void_percent, container_style, num_cartons, sscc, manifest_courier_code, items, container, infill, packaging, collected_data, gallery, created_at, updated_at Specify additional fields of the ShipmentPackingSolution object to be included in the response. See the selecting fields page for more information.
Specify additional fields of the Product or Packaging* object to be included in the response.
all, created_at, updated_at Specify additional fields of the Gallery object to be included in the response.
basic, all, items Specify additional fields of the Merchant object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, status, created_at, updated_at, brands, default_brand, custom_fields Specify additional fields of the Brand object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, is_active, is_deleted, sort_order Specify additional fields of the Brand object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, is_active, is_deleted, sort_order Specify additional fields of the Brand object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, is_active, is_deleted, sort_order Specify additional fields of the OrderAddress object (shipping address) to be included in the response. See the selecting fields page for more information.
all, first_name,, last_name,, company,, street,, city,, region,, postcode,, country,, telephone,, email,, classification,, is_valid Specify additional fields of the OrderStatusHistory objects to be included in the response. See the selecting fields page for more information.
all, status, comment, notify_merchant, user, script_id, created_at Specify additional fields of the OrderAddress object (original address) to be included in the response. See the selecting fields page for more information.
all, first_name,, last_name,, company,, street,, city,, region,, postcode,, country,, telephone,, email,, classification,, is_valid Specify additional fields of the OrderAddressCandidate objects to be included in the response. See the selecting fields page for more information.
all, address_id, street, city, region_code, postal_code, country_code, classification Specify additional fields of the OrderInstruction objects to be included in the response. See the selecting fields page for more information.
basic, all, order_id, note, file_name, presentation, print_target, print_orientation, copies_printed Specify additional fields of the ThirdPartyBillingGroup object to be included in the response. See the selecting fields page for more information.
all, label, status Specify additional fields of the Retailer object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, status, fulfillment_model, parent_retailer, legal_name, dba, default_duties_payor, default_shipping_method, allowed_shipping_methods, routing_guide_notes, custom_fields, created_at, updated_at Specify additional fields of the RetailerShipToLocation object to be included in the response. See the selecting fields page for more information.
basic, all, code, qualifier, label, location_type, company, street, city, region_id, region, postcode, country_id, telephone, email, is_default, status, retailer, created_at, updated_at Response
OK
An Order represents a request to ship goods to a customer.
Show child attributes
Show child attributes
Lists of referenced objects included by specifying optional fields. See the selecting fields page for more information.
Show child attributes
Show child attributes
Was this page helpful?